group "AdjustableDate.model"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | 3 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

Complex Content Model
unadjustedDate, dateAdjustments?, adjustedDate?

Content Model Elements (3):

  adjustedDate (defined in AdjustableDate.model group), dateAdjustments (defined in AdjustableDate.model group), | unadjustedDate (defined in AdjustableDate.model group)

Known Usage Locations

- In definitions of global complexTypes (2):
  AdjustableDate, AdjustableOrAdjustedDate

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="AdjustableDate.model"> <xsd:sequence> <xsd:element name="unadjustedDate" type="IdentifiedDate"/> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <xsd:element minOccurs="0" name="adjustedDate" type="IdentifiedDate"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
adjustedDate

  Type: | IdentifiedDate, simple content

  The date once the adjustment has been performed. (Note that this date may change if the business center holidays change).
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedDate" type="IdentifiedDate"/>

dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention and financial business centers used for adjusting the date if it would otherwise fall on a day that is not a business date in the specified business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

unadjustedDate

  Type: | IdentifiedDate, simple content

  A date subject to adjustment.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="unadjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.